all_libsystem:
	make -C libsystem platform=$(platform) all

all_compiledb_libsystem:
	bear --output libsystem/compile_commands.json -- make -C libsystem platform=$(platform) all

clean_libsystem:
	make -C libsystem platform=$(platform) clean

format_libsystem:
	make -C libsystem platform=$(platform) format

docs_libsystem:
	make -C libsystem platform=$(platform) docs

.PHONY: all_libsystem clean_libsystem format_libsystem docs_libsystem all_compiledb_libsystem
